aboutsummaryrefslogtreecommitdiffstats
path: root/packaging/macosx/osx-dmg.sh.in
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2013-11-10 01:31:25 +0000
committerGerald Combs <gerald@wireshark.org>2013-11-10 01:31:25 +0000
commit04a7231d917b7f5fe646f2485506e6292870d365 (patch)
tree6c8018fcdf471e853b66082e09dbe9c13caf0c5e /packaging/macosx/osx-dmg.sh.in
parent48c5a9ae37872b1c54087a2af0d29876c0ff654c (diff)
More packaging updates.
Specify "Application" or "Installer" code signing identities as needed. Switch back to productbuild for the package. That seems to be the correct utility to use. Give the package an ID. Package signing is still broken but this appears to be closer to being correct. svn path=/trunk/; revision=53211
Diffstat (limited to 'packaging/macosx/osx-dmg.sh.in')
-rwxr-xr-xpackaging/macosx/osx-dmg.sh.in7
1 files changed, 4 insertions, 3 deletions
diff --git a/packaging/macosx/osx-dmg.sh.in b/packaging/macosx/osx-dmg.sh.in
index 2c24d5fc5c..d858d37b60 100755
--- a/packaging/macosx/osx-dmg.sh.in
+++ b/packaging/macosx/osx-dmg.sh.in
@@ -152,16 +152,17 @@ pkg_file="$pkg_title.pkg"
rm -rf "$pkg_file"
packagemaker --doc "Wireshark_package.pmdoc" \
--title "$pkg_title" \
+ --id "org.wireshark.pkg.Wireshark"
--version "$version" \
--target 10.5 \
--verbose || exit 1
if [ -n "$CODE_SIGN_IDENTITY" ] ; then
- #pkg_file_unsigned="$pkg_title UNSIGNED.pkg"
+ pkg_file_unsigned="$pkg_title UNSIGNED.pkg"
echo -e "Signing $pkg_file"
- #mv "$pkg_file" "$pkg_file_unsigned" || exit 1
- #productsign --sign "$CODE_SIGN_IDENTITY" "$pkg_file_unsigned" "$pkg_file" || exit 1
+ mv "$pkg_file" "$pkg_file_unsigned" || exit 1
+ productsign --sign "Developer ID Installer: $CODE_SIGN_IDENTITY" "$pkg_file_unsigned" "$pkg_file" || exit 1
codesign --sign "$CODE_SIGN_IDENTITY" --verify "$pkg_file" || exit 1
spctl --assess --type install "$pkg_file" #|| exit 1
shasum "$pkg_file"